/*
	Copyright (c) 2001, CrossWorlds Software Inc., Burlingame, California, USA
				All rights reserved.

	FILE
	  event_table_oracle.sql

	DESCRIPTION
	  Creates xworlds_events table.
	
	HISTORY
*/

---------XWORLDS_EVENTS TABLE--------------------

DROP TABLE xworlds_events;

CREATE TABLE xworlds_events (
	event_id		NUMBER(20)		PRIMARY KEY,
	connector_id		NUMBER(20),
	object_key		VARCHAR2(80)		NOT NULL,
	object_name		VARCHAR2(40)		NOT NULL,
	object_verb		VARCHAR2(40)		NOT NULL,
	event_priority		NUMBER(5)		NOT NULL,
	event_time		DATE			DEFAULT SYSDATE,
	event_status		NUMBER(5)		NOT NULL,
	event_comment		VARCHAR2(100));

--------XWORLDS_EVENTS_SEQUENCE TABLE--------------

DROP SEQUENCE s_xworlds_event_id;

CREATE SEQUENCE s_xworlds_event_id start with 100000;
