#!/bin/sh

### Please ensure that CWSharedEnv.sh has been run prior to using this utility.
### CROSSWORLDS}, PATH, CWCLASSES, JAVA are declared in CWSharedEnv.sh under
### bin directory.
. VAR_CWHOME/bin/CWSharedEnv.sh
#set AGENTNAME=OracleAppsOda
#set AGENT=${CROSSWORLDS}/ODA/OracleApps/OracleAppsOda.jar
#set JCLASSES=${CROSSWORLDS}/lib/rt.jar;${CROSSWORLDS}/lib/vbjorb.jar;${CROSSWORLDS}/lib/xwutil.jar;${CROSSWORLDS}/lib/xwbase.jar;${CROSSWORLDS}/lib/xwsqlserver.jar;${CROSSWORLDS}/lib/spy/lib/spy.jar;${CROSSWORLDS}/lib/xerces.jar;${CROSSWORLDS}/lib/jdom.jar;${CROSSWORLDS}/ODA/OracleApps/OracleAppsOda.jar;${CROSSWORLDS}/lib/CwODK.jar;${CROSSWORLDS}/lib/classes12_01.zip;${CROSSWORLDS}/lib/CrossWorlds.jar
#set AGENTCLASS=com.crossworlds.oda.jdbcoda.JDBCOda

#REM Define local batch PATH to insure we execute our jre
PATH=${CROSSWORLDS}:${CROSSWORLDS}/bin:${PATH}

#REM CD to the local Crossworlds directory so we pick up
#REM the java.exe and dlls required


AGENTNAME=OracleAppsOda

JAVA=${CROSSWORLDS}/lib/rt.jar;
BDK_LIB=${CROSSWORLDS}/lib/CwODK.jar

CROSSWORLDS_JAR=${CROSSWORLDS}/lib/CrossWorlds.jar

AGENT=${CROSSWORLDS}/ODA/OracleApps/OracleAppsOda.jar
AGENTCLASS=com.crossworlds.oda.jdbcoda.JDBCOda

XML_LIB=${CROSSWORLDS}/lib/xerces.jar

JDOM_LIB=${CROSSWORLDS}/lib/jdom.jar

ORB1=${CROSSWORLDS}/lib/vbjorb.jar

#Modify this Driver path to point to the specific driver you want to use.

DRIVERPATH=${CROSSWORLDS}/lib/xwutil.jar:${CROSSWORLDS}/lib/xwbase.jar:${CROSSWORLDS}/lib/xwsqlserver.jar:${CROSSWORLDS}/lib/spy/lib/spy.jar

JCLASSES=${JAVA}:${ORB1}:${XML_LIB}:${JDOM_LIB}:${AGENT}:${BDK_LIB}:${DRIVERPATH}:${CROSSWORLDS_JAR}

#REM Start the Object Discovery Agent
"${CROSSWORLDS}/bin/java" -Duser.home=${CROSSWORLDS} -mx128m -Dbea.home=${CROSSWORLDS} -DORBsyncGC=false -Dorg.omg.CORBA.ORBClass=com.inprise.vbroker.orb.ORB -Dorg.omg.CORBA.ORBSingletonClass=com.inprise.vbroker.orb.ORBSingleton -classpath ${JCLASSES} com.crossworlds.ODKInfrastructure.IdlAgentFactory -l${AGENTNAME} -c${AGENTCLASS} 
